<?php   
/**
 * Block Patterns
 *
 * @package Holy Word
 * @since 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since 1.0
 *
 * @return void
 */
function holy_word_register_block_patterns() {
	$block_pattern_categories = array(
		'holy-word' => array( 'label' => esc_html__( 'Holy Word Patterns', 'holy-word' ) ),
		'pages'    => array( 'label' => esc_html__( 'Pages', 'holy-word' ) ),
	);

	$block_pattern_categories = apply_filters( 'holy_word_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}

	$block_patterns = array(
		'archive-inner-banner',
		'header-default',
		'header-banner',
		'features',
		'inner-banner',
		'post-one-column',
		'post-two-column',
		'latest-blog',
		'hidden-404',
		'sidebar',
		'footer-default',	
	);

	$block_patterns = apply_filters( 'holy_word_block_patterns', $block_patterns );

	foreach ( $block_patterns as $block_pattern ) {
		$pattern_file = get_parent_theme_file_path( '/inc/patterns/' . $block_pattern . '.php' );

		register_block_pattern(
			'holy-word/' . $block_pattern,
			require $pattern_file
		);
	}
}
add_action( 'init', 'holy_word_register_block_patterns', 9 );